### load functions and R2WinBUGS
library(R2WinBUGS)

###
# Enter the location of the file, "ise calibration.R"
###
source("C:/ISE/ise calibration.R")

###
# Single ISE Example
###
# Load data
mydata.SingleISE = load.ISE.data(
	filename.experimental=
		"C:/ISE/ISE example data (experimental) ISE1.txt", 
	filename.calibration=
		"C:/ISE/ISE example data (calibration) ISE1.txt")

# Run Bayesian analysis
example1 = bayesian.calibrate(mydata.SingleISE, model.path = "C:/ISE",
	model.name = "Single ISE model.txt", single.ISE=T, Z = 2)

###
# Multiple ISE example
###
# Load data
mydata.MultipleISE = load.ISE.data(
	filename.experimental=
		"C:/ISE/ISE example data (experimental).txt", 
	filename.calibration=
		"C:/ISE/ISE example data (calibration).txt")

# Run Bayesian analysis
example2 = bayesian.calibrate(mydata.MultipleISE, model.path = "C:/ISE",
	model.name = "Multiple ISE model.txt", single.ISE=F, Z = 2,
	plot.limits=c(-10, -4))

###
# Standard addition example, Single ISE
###
mydata.SingleISE.sa = load.ISE.data(
	filename.experimental=
		"C:/ISE/ISE example data 2 (experimental standard addition) ISE1.txt", 
	filename.calibration=
		"C:/ISE/ISE example data 2 (calibration standard addition) ISE1.txt",
	stdadd = T)

example3 = bayesian.calibrate(mydata.SingleISE.sa, model.path = "C:/ISE", 
	model.name = "Single ISE model Standard addition.txt", stdadd = T,
	single.ISE=T, Z = 2, plot.limits = c(-7, -3))

###
# Standard addition example, Multiple ISEs
###
mydata.MultipleISE.sa = load.ISE.data(
	filename.experimental=
		"C:/ISE/ISE example data 2 (experimental standard addition).txt", 
	filename.calibration=
		"C:/ISE/ISE example data 2 (calibration standard addition).txt",
	stdadd = T)

example4 = bayesian.calibrate(mydata.MultipleISE.sa, model.path = "C:/ISE", 
	model.name = "Multiple ISE model Standard addition.txt", stdadd = T,
	single.ISE=F, Z = 2, plot.limits=c(-7, -3), sigma.upper = 5)






		





